Loading...
Searching...
No Matches
QXmppBookmarkConference Class Reference

The QXmppBookmarkConference class represents a bookmark for a conference room, as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkSet.h>`

## Public Member Functions

| QXmppBookmarkConference ()
| Constructs a new conference room bookmark.
bool | autoJoin () const
void | setAutoJoin (bool autoJoin)
QString | jid () const
| Returns the JID of the conference room.
void | setJid (const QString &jid)
| Sets the JID of the conference room.
QString | name () const
| Returns the friendly name for the bookmark.
void | setName (const QString &name)
| Sets the friendly name for the bookmark.
QString | nickName () const
| Returns the preferred nickname for the conference room.
void | setNickName (const QString &nickName)
| Sets the preferred nickname for the conference room.

## Detailed Description

The QXmppBookmarkConference class represents a bookmark for a conference room, as defined by XEP-0048: Bookmarks.

## Member Function Documentation

## autoJoin()

bool QXmppBookmarkConference::autoJoin | ( |  | ) | const

Returns whether the client should automatically join the conference room on login.

## setAutoJoin()

void QXmppBookmarkConference::setAutoJoin | ( | bool | autoJoin | ) |

Sets whether the client should automatically join the conference room on login.

The documentation for this class was generated from the following files:

- QXmppBookmarkSet.h
- QXmppBookmarkSet.cpp